package cn.com.qmth.examcloud.tool.service.batch_import_exam_student.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

@Setter
@Getter
public class ExamStudentInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ExcelIgnore
    private Long id;

    @ExcelIgnore
    private Long studentId;

    @ExcelProperty(value = "姓名", index = 0)
    private String studentName;

    @ExcelProperty(value = "学号", index = 1)
    private String studentCode;

    @ExcelProperty(value = "身份证号", index = 2)
    private String identityNumber;

    @ExcelIgnore
    private Long orgId;

    @ExcelProperty(value = "机构代码", index = 3)
    private String orgCode;

    @ExcelProperty(value = "机构名称", index = 4)
    private String orgName;

    @ExcelIgnore
    private Long courseId;

    @ExcelProperty(value = "课程代码", index = 5)
    private String courseCode;

    @ExcelProperty(value = "课程名称", index = 6)
    private String courseName;

    @ExcelIgnore
    // @ExcelProperty(value = "课程层次", index = 7)
    private String courseLevel;

    @ExcelIgnore
    private Long examId;//考试Id

    @ExcelIgnore
    private Long examStageId;//场次Id

    @ExcelIgnore
    private Integer examStageOrder;//场次号

    @ExcelIgnore
    private String paperType;//试卷类型

    @ExcelProperty(value = "专业名称", index = 7)
    private String specialtyName;

    @ExcelIgnore
    private String examSite;//考点

    @ExcelIgnore
    private String grade;//年级

    @ExcelIgnore
    private String infoCollector;//采集人

    @ExcelIgnore
    private String phone;//电话

    @ExcelIgnore
    private String remark;//备注

    @ExcelIgnore
    private String ext1;//试卷袋编码

    @ExcelIgnore
    private boolean hasError;

    @Override
    public String toString() {
        return " examId:" + examId +
                " studentName:" + studentName +
                " studentCode:" + studentCode +
                " identityNumber:" + identityNumber +
                " orgId:" + orgId +
                " orgCode:" + orgCode +
                " orgName:" + orgName +
                " courseId:" + courseId +
                " courseCode:" + courseCode +
                " courseName:" + courseName +
                " specialtyName:" + specialtyName;
    }

}
